# 32/64bit spec-file
#
%define oname Thunar
%define iconname thunar.png

%define major 2
%define apiversion 1
%define libname %mklibname %{name} %{apiversion} %{major}
%define develname %mklibname %{name} -d

Summary:	New modern file manager for the Xfce Desktop Environment
Summary(de):	Neuer moderner Dateimanager für den Xfce Desktop
Name:		thunar
Version:	1.6.11
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://thunar.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{oname}-%{version}.tar.xz
Source1:	Thunar-16.png
Source2:	Thunar-32.png
Source3:	Thunar-48.png
Source5:    	%{name}-rpmlintrc
Source6:	RootUser.png
Source7:	Thunar-Root.desktop
Patch1:		0001-Deactivate-SEND_MOVED-code-paths.patch
Patch2:		0002-check-thunar-file-instance-when-comparing-filenames.patch
Patch3:		0003-dont-unref-null.patch
Patch4:		0004-thunar-1.5.0-dont-die-on-dbus-disconnect.patch
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	%{_lib}exo-devel
BuildRequires:	gamin-devel
BuildRequires:	hal-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	%{_lib}dbus-glib-1_2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}jpeg-devel
BuildRequires:	pcre-devel
BuildRequires:	%{_lib}exif12-devel
BuildRequires:	GConf2-devel
BuildRequires:	%{_lib}usb1.0-devel
BuildRequires:	intltool
BuildRequires:	xfce4-panel-devel
BuildRequires:	dbus-devel
BuildRequires:	libgudev-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	glib2-devel
BuildRequires:	libpthread-stubs
Requires:	shared-mime-info >= 0.15
Obsoletes:	%{libname}
Requires(post):	desktop-file-utils >= 0.10
Requires(postun): desktop-file-utils >= 0.10
Obsoletes:	xffm
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version
Obsoletes:	thunar-volman < 0.6.0

%description
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any confusing
or useless options. Thunar is fast and responsive with a good start up time
and directory load time. Thunar is accessible using Assistive Technologies and
is fully standards  compliant.

Beside the basic file management features, Thunar includes additional features
that set it ahead of other file managers available for the Unix/Linux desktop
today. For example, Thunar includes a so called Bulk Renamer that allows users
to easily rename multiple files at once using criterions that can be specified
using the available renamer plugins. Probably the most interesting renamer here
is the Audio Tags renamer, which generates new file names based on the tags
present in audio files.

Using the Thunar Extensions Framework it is easy to extend the basic
functionality provided by Thunar to integrate even complex tasks into the file
manager, although the extension framework is still very limited in the 1.0
series, and the 2.0 series will include a way more powerful plugin interface
that allows to adjust virtually every aspect of the file manager. But since
writing extensions for the file manager is still a difficult and time consuming
job, the User Customizable Actions plugin provides users with an easy way to
extend the file and folder context menus with their own custom actions.

#german
%description -l de
Thunar wurde von Grund auf neu entwickelt, um schnell und einfach zu sein. 
Die Benutzeroberfläche ist sauber und intuitiv, und beinhaltet keine verwirrenden 
oder nutzlosen Optionen. Thunar ist schnell und reagiert mit einer guten Startzeit 
und Verzeichnisladezeit. Thunar ist zugänglich über unterstützende Technologien und 
ist voll standartkompatibel. 

Neben den grundlegenden Datei-Management-Funktionen enthält Thunar zusätzliche Funktionen,
die ihn von anderen Dateimanager für die heutigen Unix / Linux-Desktops unterscheiden.
Zum Beispiel beinhaltet Thunar einen so genannte Bulk-Renamer, der es dem Nutzer ermöglicht 
einfach mehrere Dateien auf einmal mit Kriterien, die angegeben werden können 
umzubenennen. Dafür wird die renamer-Erweiterung benötigt. Wahrscheinlich der interessanteste 
Umbenenner ist der Audio-Tags renamer, der neue Dateinamen auf der Grundlage der Tags, 
der Audio-Dateien generiert. 

Mit der Benutzung des Thunar Extensions Framework ist es einfach die Basisfunktionalität
von Thunar zu erweitern oder auch komplexe Aufgaben in den Dateimanager zu integrieren, 
obwohl das Erweiterung-Framework noch sehr begrenzte in der 1.0 
Serie ist und die 2.0 Serie wird noch mehrer mächtige Plugin-Schnittstellen einschließen, 
die praktisch jeden Aspekt des Datei-Manager einstellen können. Aber da das
Schreiben von Erweiterungen für den Dateimanager immer noch eine schwierige und zeitaufwendige 
Arbeit ist, bietet das User Customizable Actions Plugin dem Nutzer eine einfache Möglichkeit das
Datei- und Ordner-Kontextmenü mit eigenen Aktionen zu erweitern.

#french
%description -l fr
Thunar a été conçu dès le départ pour être rapide et facile à utiliser. 
Son interface utilisateur est claire et intuitive, et ne comprennent pas les confondre 
ou des options inutiles. Thunar est rapide et réactive avec un bon départ le temps 
et charger le répertoire du temps. Thunar est accessible à l'aide de technologies d'assistance et 
est pleinement respectueux des standards. 

A côté des fonctionnalités de gestion de fichiers de base, Thunar comprend des fonctions supplémentaires 
fait qu'il a établi d'avance sur les autres gestionnaires de fichiers disponibles pour les Unix / Linux Desktop 
aujourd'hui. Par exemple, Thunar comprend un soi-disant en vrac Renamer qui permet aux utilisateurs 
pour renommer facilement plusieurs fichiers à la fois grâce critères qui peuvent être spécifiées 
en utilisant les plugins Renamer disponibles. Probablement le plus intéressant ici Renamer 
est le renamer Audio Tags, ce qui génère des nouveaux noms de fichiers basé sur les balises 
présents dans les fichiers audio. 

En utilisant les extensions Thunar-cadre, il est facile d'étendre la base 
fonctionnalités fournies par Thunar pour intégrer les tâches, même complexes, dans le fichier 
gestionnaire, bien que le cadre de l'extension est encore très limité dans la 1.0 
série, et la série 2.0 va inclure une façon plus puissante interface de plugin 
qui permet d'ajuster pratiquement tous les aspects du gestionnaire de fichiers. Mais depuis 
à créer des extensions pour le gestionnaire de fichiers est encore difficiles et longs 
Emploi, l'utilisateur personnalisable Actions plugin fournit aux utilisateurs un moyen facile de 
étendre les fichiers et les menus contextuels dossier avec leurs propres actions personnalisées.

#spanish
%description -l es
Thunar ha sido diseñado desde cero para ser rápido y fácil de usar. 
Su interfaz de usuario es clara e intuitiva, y no incluye ninguna confusión 
o las opciones inútiles. Thunar es rápido y sensible, con un buen tiempo 
y el tiempo de carga de directorio. Thunar es accesible utilizando tecnologías asistenciales y 
es plenamente compatible con las normas. 

Además de las características básicas de gestión de archivos, Thunar incluye características adicionales 
que puso por delante de otros administradores de archivos disponibles para Unix / Linux de escritorio 
hoy. Por ejemplo, Thunar incluye un llamado a granel Renamer que permite a los usuarios 
a renombrar múltiples archivos a la vez utilizando criterios que se pueden especificar 
utilizando los plugins renamer disponibles. Probablemente el más interesante aquí renamer 
es el renamer Audio Tags, que genera nuevos nombres de archivo basado en las etiquetas 
presentes en los archivos de audio. 

Uso de las Extensiones de Thunar marco es fácil de ampliar la base
funcionalidad proporcionada por Thunar para integrar incluso las tareas más complejas en el archivo 
gerente, aunque el marco de extensión es aún muy limitada en el 1,0 
serie, y el de la serie 2.0 incluirá un modo de interfaz plug-in más poderoso 
que permite ajustar virtualmente todos los aspectos del gestor de archivos. Pero desde 
a escribir extensiones para el gestor de archivos es todavía un difícil y largo 
de trabajo, el Usuario acciones a la medida plugin proporciona a los usuarios una forma fácil de 
ampliar el archivo y la carpeta con los menús de contexto de sus propias acciones personalizadas.

#polish
%description -l pl
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any confusing
or useless options. Thunar is fast and responsive with a good start up time
and directory load time. Thunar is accessible using Assistive Technologies and
is fully standards  compliant.

#serbian
%description -l sr
Тхунар је пројектован из темеља да буде брз и једноставан за употребу. 
Његова кориснички интерфејс је чист и интуитиван, а не укључује било збуњујуће 
или бескорисна опција. Тхунар је брз и одговорније са добар почетак Време 
директоријум и време учитавања. Тхунар приступити помоћу асистивне технологије и 
стандарда је у потпуности усклађен. 

Поред основне функције управљање датотекама, Тхунар укључује додатне функције 
да је скуп испред другог фајл менаџера за Уникс / Линукс десктопа 
данас. На пример, Тхунар укључује тзв Групно Ренамер који омогућава корисницима 
једноставно преименујете више фајлова одједном коришћењем критеријума који могу бити наведени 
коришћењем доступних ренамер додатака. Вероватно најзанимљивији ренамер овде 
је аудио Тагови ренамер, који генерише нова имена датотека на основу ознака 
присутан у аудио фајлове. 

Коришћење Тхунар Екстензије оквир је лако да се прошири основни 4.8
функционалности које Тхунар да интегрише чак и комплексне задатке у датотеку 
менаџер, иако је продужетак оквир још увек веома ограничена у 1.0 
серије, и серија ће бити 2.0 пут моћнији интерфејс додатак 
који омогућава да подесите буквално сваки аспект фајл менаџер. Али пошто 
писање екстензија за фајл менаџера је још увек тежак и дуготрајан 
посао, Прилагодљива Корисник Радње додатак омогућава корисницима да на лак начин 
прошири контекст менија датотека и фолдер са сопственим сервисима акције.

#dutch
%description -l nl
Thunar is ontworpen vanaf de grond tot snel en gemakkelijk te gebruiken. 
De gebruikersinterface is schoon en intuïtief, en bevat geen verwarrend 
of nutteloze opties. Thunar is snel en dynamisch met een goede start up tijd 
en directory laadtijd. Thunar is toegankelijk met behulp van hulpmiddelen en 
volledig voldoen aan de standaard. 

Naast de basiskenmerken bestandsbeheer, Thunar bevat extra functies 
dat deze set op de andere file managers beschikbaar voor de Unix / Linux desktop 
vandaag. Bijvoorbeeld Thunar bevat een zogenaamde Bulk Renamer dat gebruikers in staat stelt 
gemakkelijk hernoem meerdere bestanden tegelijk gebruiken Criteria die kan worden gespecificeerd 
Renamer met de beschikbare plugins. Waarschijnlijk de meest interessante Renamer hier 
is de Audio Labels Renamer, die nieuwe bestandsnamen op basis van de tags genereert 
aanwezig in audiobestanden. 

Met behulp van de Thunar Extensions kader is het eenvoudig uit te breiden de basis 
functionaliteit die door Thunar te integreren zelfs complexe taken in het bestand 
manager, hoewel de uitbreiding kader nog steeds zeer beperkt is in de 1.0 
serie, en de 2.0-serie zal een manier krachtiger plugin-interface 
die het mogelijk maakt aan te passen vrijwel elk aspect van de file manager. Maar sinds 
schrijven van extensies voor de file manager is nog steeds een moeilijk en tijdrovend 
baan, de gebruiker Aanpasbaar Acties plugin biedt gebruikers een eenvoudige manier om 
uitbreiding van het bestand en de map context menu's met hun eigen aangepaste acties.

%package devel
Summary:	Development files for the thunar filemanager
Summary(de):	Entwicklerdateien für den Thunar-Dateimanager
Group:		Graphical desktop/Xfce
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 2 -d

%description devel
Development files for the thunar filemanager.

%description devel -l de
Entwicklerdateien für den Thunar-Dateimanager

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}


%prep

%setup -q -n %{oname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0 -b .dbus

%build

%configure2_5x \
    --with-helper-path-prefix=%{_libexecdir} \
    --sysconfdir=%{_sysconfdir}/X11 \
    --enable-notifications \
    --enable-dbus \
    --enable-startup-notification \
    --enable-exif \
    --enable-pcre \
    --enable-gio-unix \
    --enable-gudev \
    --enable-tpa-plugin \
    --enable-gudev \
    --disable-static

#    --enable-apr-plugin \
#    --enable-tpa-plugin \
#    --enable-wallpaper-plugin \
#    --enable-uca-plugin \
#    --enable-plugin-all \

%make

%install
rm -rf %{buildroot}
%makeinstall_std

perl -pi -e "s|Icon=Thunar|Icon=Thunar.png|" %{buildroot}%{_datadir}/applications/Thunar.desktop

# Remove unneeded files
rm -f %{buildroot}%{_datadir}/doc/Thunar/README.thunarrc
rm -f %{buildroot}%{_datadir}/doc/Thunar/README.volumes
rm -f %{buildroot}%{_datadir}/doc/Thunar/README.volumes
rm -f %{buildroot}%{_datadir}/applications/exo-file-manager.desktop



mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %{SOURCE1} %{buildroot}%_miconsdir/%{oname}.png
install -m 0644 %{SOURCE2} %{buildroot}%_iconsdir/%{oname}.png
install -m 0644 %{SOURCE3} %{buildroot}%_liconsdir/%{oname}.png
install -m 0644 %{SOURCE6} %{buildroot}%_iconsdir/RootUser.png
install -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/applications/%{oname}-Root.desktop

desktop-file-install --vendor="" \
  --remove-category="System" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}
%{update_mime_database}


# removes additional menu item
rm -f %{buildroot}%{_datadir}/Applications/New*Folder

%postun
%{clean_desktop_database}
%{clean_mime_database}



%files
%defattr(-,root,root)
%dir %{_sysconfdir}/X11/xdg/Thunar
%{_sysconfdir}/X11/xdg/Thunar/uca.xml
%dir %{_datadir}/Thunar
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/*
%{_datadir}/dbus-1/services/*
%{_datadir}/doc/Thunar
%{_datadir}/Thunar/sendto/thunar-sendto-email.desktop
%{_mandir}/man1/*
%_miconsdir/%{oname}.png
%_iconsdir/%{oname}.png
%_liconsdir/%{oname}.png
%_iconsdir/RootUser.png
%{_datadir}/locale/*
%{_libexecdir}/Thunar/ThunarBulkRename
%{_libexecdir}/Thunar/thunar-sendto-email
%{_libdir}/libthunarx-2.so.0
%{_libdir}/libthunarx-2.so.0.0.0
%{_libdir}/thunarx-2/thunar-apr.so
%{_libdir}/thunarx-2/thunar-sbr.so
%{_libdir}/thunarx-2/thunar-uca.so
%{_libdir}/thunarx-2/thunar-wallpaper-plugin.so
%{_libdir}/xfce4/panel/plugins/libthunar-tpa.so
%{_datadir}/xfce4/panel/plugins/thunar-tpa.desktop
%{_datadir}/appdata/thunar.appdata.xml
%{_datadir}/polkit-1/actions/org.xfce.thunar.policy


%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files doc
%defattr(-,root,root)
%doc AUTHORS FAQ HACKING README THANKS TODO docs/README.*
 


%changelog
* Tue Apr 25 2017 adrianomorselli <adrianomorselli> 1.6.11-1uplos2017
- update
